Subject: Re: [PATCH net-next v3 0/5] net: centralize master device offload feature computation

From: Hangbin Liu <[email-masked]>
Date: Thu, 19 Mar 2026 13:37:17 +0000

On Thu, Mar 19, 2026 at 10:52:34AM +0100, Paolo Abeni wrote:
> I'm sorry for the late feedback, but I think the driver cleanup and
> simplification is not worthy the core complexity and the new NDO added.
> 
> The AI reported issue would probably need very non trivial changes to
> both team and bond driver to be addressed.
> 
> Most of the cleanups belong to netdev_compute_master_upper_features()
> introduction in the failover driver. Factoring out that single change
> would be IMHO a better option, if possible.
> 
> The new ndo looks controversial. We already have 2 different ndo at
> __netdev_update_features() time, with slightly different semantic.
> Adding another one feels like a design issue.

Thanks, I will check if we can call netdev_compute_master_upper_features()
in failover driver directly.

Hangbin